/// This file is part of the X3DToolKit library
/// Copyright (C) 2002-2004  Yannick Le Goc (legoc@imag.fr)

/// http://artis.imag.fr/Members/Yannick.Legoc/X3D/

/// This library is free software; you can redistribute it and/or
/// modify it under the terms of the GNU Lesser General Public
/// License as published by the Free Software Foundation; either
/// version 2.1 of the License, or (at your option) any later version.

/// This library is distributed in the hope that it will be useful,
/// but WITHOUT ANY WARRANTY; without even the implied warranty of
/// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
/// Lesser General Public License for more details.

/// You should have received a copy of the GNU Lesser General Public
/// License along with this library; if not, write to the Free Software
/// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#ifndef X3DTK_BASERECORDER_H
#define X3DTK_BASERECORDER_H

#include "SFType.h"

namespace X3DTK {

/*! \brief Class declared in <b><X3DTK/kernel.h></b> providing static functions for
 * the template X3DTK::Recorder class.
 *
 *  \ingroup base
 */

class BaseRecorder
{
protected:
  /// Begins a function definition.
  static void beginFunctionDefinition();
  /// Ends a function definition.
  static void endFunctionDefinition();
};

}

#endif
