#ifndef NORMALX3DGLSCENE_H
#define NORMALX3DGLSCENE_H

#include "GL_NormalRenderer.h"

#include <X3DTK/simplex3dglscene.h>

namespace X3DTK {

// Class extending SimpleX3DGLscene for drawing the normals.

class NormalX3DGLScene : public SimpleX3DGLScene
{
public:
  NormalX3DGLScene();
  
  void setNormal(bool value);
  void setNormalLength(float value);
  virtual void draw();

private:
  GL::NormalRenderer *_normalRenderer;
  bool _normal;
};

}

#endif
