#ifndef DATE_H
#define DATE_H

#include <X3DTK/kernel.h>

namespace X3DTK {

struct Date
{
public:
  Date();
  explicit Date(const SFString &date);
  SFString toSFString() const;

  int day;
  int month;
  int year;    
};

std::ostream& X3DTK::operator<<(std::ostream& o, const Date &date);

}

#endif
