#ifndef INFO_H
#define INFO_H

#include <X3DTK/X3D/scenegraph.h>
#include "Date.h"

namespace X3DTK {
namespace X3D {

class Price;
class Modeler;

// Info node.

class Info : public X3DChildNode
{
public:
  Info();
  virtual ~Info();
  
  void setDate(const Date &date);

  inline const Date &getDate() const {return _date;};
  inline Price *getPrice() const {return _price;};
  inline Modeler *getModeler() const {return _modeler;};  

private:
  Date _date;
  Price *_price;
  Modeler *_modeler;
};

}
}

#endif
