#include "X3D_InfoReader.h"
#include "X3D_InfoReaderGroupingVisitor.h"

namespace X3DTK {
namespace X3D {

InfoReader::InfoReader()
{
  // new GraphTraversal.
  setGraphTraversal(new DFSGraphTraversal());
  // Setting the new component visitor.
  setComponentVisitor(new InfoReaderGroupingVisitor());
}

void InfoReader::read(SFNode N)
{
  traverse(N);
}

}
}
