#include "X3D_Modeler.h"

namespace X3DTK {
namespace X3D {

Modeler::Modeler()
: X3DChildNode()
{
  // Defines the tag of the node. This string is the one read in the X3D file.
  define(Recorder<Modeler>::getTypeName("Modeler", "MyComponent"));
  
  // Defines an attribute.
  define(Recorder<Modeler, SFString>::getAttribute("mname", &Modeler::_mname, ""));
}

Modeler::~Modeler()
{
}

void Modeler::setMName(const SFString &name)
{
  _mname = name;
}

}
}
