#ifndef PRICE_H
#define PRICE_H

#include <X3DTK/X3D/scenegraph.h>

namespace X3DTK {
namespace X3D {

// Price node.

class Price : public X3DChildNode
{
public:
  Price();
  virtual ~Price();

  void setPrice(const SFFloat &price);
  void setMoney(const SFString &money);

  inline const SFFloat &getPrice() const {return _price;};
  inline const SFString &getMoney() const {return _money;};
 
private:
  SFFloat _price;
  SFString _money;
};

}
}

#endif
