#ifndef MYMESHX3DBUILDERVISITOR_H
#define MYMESHX3DBUILDERVISITOR_H

#include <X3DTK/MESH/x3dbuilder.h>
#include "X3D_MyCoordinate.h"

namespace X3DTK {
namespace MESH {

// Visitor for the Core component of the MyX3DBuilder processor.

template<class MData, class VData, class EData, class FData, bool RW>
class MyX3DBuilderCoreVisitor : public TemplateX3DBuilderCoreVisitor<MData, VData, EData, FData, RW>
{
public:
  MyX3DBuilderCoreVisitor();

  static void enterVertex(TemplateVertex<MData, VData, EData, FData, RW> *V);
};

}
}

#include "MESH_MyX3DBuilderCoreVisitor.inl"

#endif
