#ifndef MESHTRANSFORMCOMPUTER_H
#define MESHTRANSFORMCOMPUTER_H

#include "MESH_TransformComputerStateVariables.h"
#include "MESH_TransformComputerCoreVisitor.h"

#include <X3DTK/kernel.h>
#include <X3DTK/MESH/scenegraph.h>

namespace X3DTK {
namespace MESH {

// MeshTransformComputer processor.

template<class MData, class VData, class EData, class FData, bool readOnly>
class TransformComputer : public X3DOnePassProcessor
{
public:
  TransformComputer();
  virtual ~TransformComputer();
  
  virtual void print(SFNode N);
};

}
}

#include "MESH_TransformComputer.inl"

#endif

