#include "X3D_NodeCounterGroupingVisitor.h"
#include "X3D_NodeCounterStateVariables.h"

namespace X3DTK {
namespace X3D {

NodeCounterGroupingVisitor::NodeCounterGroupingVisitor()
: GroupingVisitor()
{
  define(Recorder<X3DGroupingNode>::getEnterFunction(&NodeCounterGroupingVisitor::enterX3DGroupingNode));
}
  
void NodeCounterGroupingVisitor::enterX3DGroupingNode(X3DGroupingNode *N)
{
  Singleton<NodeCounterStateVariables>::getInstance()->addX3DGroupingNode();
}

}
}
