#ifndef X3D_NODECOUNTERRENDERINGVISITOR_H
#define X3D_NODECOUNTERRENDERINGVISITOR_H

#include <X3DTK/kernel.h>
#include <X3DTK/X3D/scenegraph.h>

namespace X3DTK {
namespace X3D {

class NodeCounterRenderingVisitor : public RenderingVisitor
{
public:
  NodeCounterRenderingVisitor();
  
  static void enterX3DGeometryNode(X3DGeometryNode *N);
  static bool walkOnX3DGeometryNode(X3DGeometryNode *N, X3DAbstractNode *child);
  static void enterX3DCoordinateNode(X3DCoordinateNode *N);
};

}
}

#endif
