#include "X3D_Info.h"

namespace X3DTK {
namespace X3D {

Info::Info()
: X3DChildNode()
{
  // Defines the tag of the node. This string is the one read in the X3D file.
  define(Recorder<Info>::getTypeName("Info"));
  
  // Defines the attributes.
  define(Recorder<Info, SFString>::getAttribute("description", &Info::_description, "no description"));
}

Info::~Info()
{
}

void Info::setDescription(const SFString &description)
{
  _description = description;
}

}
}
