#ifndef GLSIMPLEANIMATOR_H
#define GLSIMPLEANIMATOR_H

#include "GL_SimpleAnimatorStateVariables.h"

#include <X3DTK/GL/scenegraph.h>

namespace X3DTK {
namespace GL {

// SimpleAnimator processor.

class SimpleAnimator : public X3DOnePassProcessor
{
public:
  SimpleAnimator();
  virtual ~SimpleAnimator();
  
  void setBBoxSize(const SFVec3f &size);
  virtual void animate(SFNode N, float time);
};

}
}

#endif
