#ifndef GLSIMPLEANIMATORGLOBALVARIABLES_H
#define GLSIMPLEANIMATORGLOBALVARIABLES_H

#include <X3DTK/kernel.h>

namespace X3DTK {
namespace GL {

// StateVariables for the SimpleAnimator processor.

class SimpleAnimatorStateVariables : public StateVariables
{
public:
  SimpleAnimatorStateVariables();

  void setBBoxSize(const SFVec3f &size);
  void setTime(float time);

  float getTime() const {return _time;};
  inline SFVec3f getBBoxSize() const {return _bboxSize;};
  
private: 
  float _time;
  SFVec3f _bboxSize;
};

}
}

#endif
