#ifndef SIMPLEANIMATIONSCENE_H
#define SIMPLEANIMATIONSCENE_H

#include "GL_SimpleAnimator.h"

#include <X3DTK/simplex3dglscene.h>
#include <X3DTK/X3D/worldcoordtranslator.h>

namespace X3DTK {

// Class providing the animation and the loading of an X3D model.

class SimpleAnimationScene : public SimpleX3DGLScene
{
public:
  SimpleAnimationScene();
  
  virtual void load(const char *file, bool fileValidation = true);
  virtual void init();
  virtual void animate();

private:
  GL::SimpleAnimator *_glSimpleAnimator;
  X3D::WorldCoordTranslator *_translator;
  float _time;
};

}

#endif
