#ifndef VIEWER_H
#define VIEWER_H

#include <QGLViewer/qglviewer.h>
#include "SimpleAnimationScene.h"

class Viewer : public QGLViewer
{
public:
  Viewer(const char *file);
  ~Viewer();
  
protected :
  void loadFile();
  void keyPressEvent(QKeyEvent *e);
  void init();
  void animate();
  void draw();
  void about();
  QString helpString() const;
  void help() const;
  
private:
  X3DTK::SimpleAnimationScene scene;
  X3DTK::BBox BB;
  char *x3dfile;
};

#endif
