#ifndef X3D_SIMPLENODECOUNTERSTATEVARIABLES_H
#define X3D_SIMPLENODECOUNTERSTATEVARIABLES_H

#include <X3DTK/kernel.h>

namespace X3DTK {
namespace X3D {

class SimpleNodeCounterStateVariables : public StateVariables
{
public:
  SimpleNodeCounterStateVariables();
  
  void init();
  void addNode();
  inline unsigned int getNodeNumber() const {return _count;};
  
private:
  unsigned int _count;  
};

}
}

#endif
