#ifndef GLNORMALRENDERERSTATEVARIABLES_H
#define GLNORMALRENDERERSTATEVARIABLES_H

#include <X3DTK/kernel.h>

namespace X3DTK {
namespace GL {

// State variables for the GL::Renderer processor.

class NormalRendererStateVariables : public StateVariables
{
public:
  NormalRendererStateVariables();
  
  void setNormalLength(float value);
  float getNormalLength() const {return _normalLength;};
  
private:
  float _normalLength;
};

}
}

#endif
