#include "X3D_Icosahedron.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

Icosahedron::Icosahedron()
: X3DGeometryNode()
{
  // Defines the tag of the node. This string is the one read in the X3D file.
  define(Recorder<Icosahedron>::getTypeName("Icosahedron", "Geometry3D"));
  
  // Defines an attribute of the node.
  define(Recorder<Icosahedron, SFFloat>::getAttribute("radius", &Icosahedron::_radius, 1.0f));
}

Icosahedron::~Icosahedron()
{
}

void Icosahedron::setRadius(const SFFloat &radius)
{
  _radius = radius;
}
  
}
}
