#ifndef ICOSAHEDRON_H
#define ICOSAHEDRON_H

#include <X3DTK/X3D/scenegraph.h>

namespace X3DTK {
namespace X3D {

// New X3D node.

class Icosahedron : public X3DGeometryNode
{
public:
  Icosahedron();
  virtual ~Icosahedron();
  
  void setRadius(const SFFloat &radius);
  inline const SFFloat &getRadius() const {return _radius;};

private:
  SFFloat _radius;
};

}
}

#endif
