#ifndef MYMESHBUILDERRENDERINGVISITOR_H
#define MYMESHBUILDERRENDERINGVISITOR_H

#include <X3DTK/X3D/meshbuilder.h>
#include "X3D_MyCoordinate.h"

namespace X3DTK {
namespace X3D {

// Visitor for the Rendering component of the MyMeshBuilder processor.

template<class MData, class VData, class EData, class FData, bool readOnly>
class MyMeshBuilderRenderingVisitor : public TemplateMeshBuilderRenderingVisitor<MData, VData, EData, FData, readOnly>
{
public:
  MyMeshBuilderRenderingVisitor();
  
  static void enterMyCoordinate(MyCoordinate *C);
};

}
}

#include "X3D_MyMeshBuilderRenderingVisitor.inl"

#endif
