#ifndef MYMEMRELEASERSTATEVARIABLES_H
#define MYMEMRELEASERSTATEVARIABLES_H

#include <X3DTK/kernel.h>

namespace X3DTK {

// State variables for the GL::Renderer processor.

class MyMemReleaserStateVariables : public StateVariables
{
public:
  MyMemReleaserStateVariables();
  
  void init();
  void addNode();
  inline unsigned int getNodeNumber() const {return _number;};
  
private:
  unsigned int _number;
};

}

#endif
