#ifndef MYSTRUCTURECOMPUTER_H
#define MYSTRUCTURECOMPUTER_H

#include "MESH_MyStructureComputerStateVariables.h"
#include "MySimpleMesh.h"

#include <X3DTK/kernel.h>
#include <X3DTK/MESH/scenegraph.h>

namespace X3DTK {
namespace MESH {

// MyStructureComputer processor.

class MyStructureComputer : public X3DOnePassProcessor
{
public:
  MyStructureComputer();
  virtual ~MyStructureComputer();
  
  virtual MySimpleMesh *compute(SFNode N);
};

}
}

#endif

