#include "X3D_FCylinder.h"

namespace X3DTK {
namespace X3D {

FCylinder::FCylinder()
: Cylinder()
{
  // Defines the tag of the node. This string is the one read in the X3D file.
  define(Recorder<FCylinder>::getTypeName("FCylinder"));
  
  // Defines an attribute. The first parameter is the string read in the X3D file.
  define(Recorder<FCylinder, SFInt32>::getAttribute("section", &FCylinder::_section, 8));
}

FCylinder::~FCylinder()
{
}

void FCylinder::setSection(SFInt32 section)
{
  _section = section;
}

}
}
