#include "X3D_NodeCounterCoreVisitor.h"
#include "X3D_NodeCounterStateVariables.h"

namespace X3DTK {
namespace X3D {

NodeCounterCoreVisitor::NodeCounterCoreVisitor()
: CoreVisitor()
{
  define(Recorder<X3DNode>::getEnterFunction(&NodeCounterCoreVisitor::enterX3DNode));
}
  
void NodeCounterCoreVisitor::enterX3DNode(X3DNode *N)
{
  Singleton<NodeCounterStateVariables>::getInstance()->addOtherNode();
}

}
}
