#include "X3D_NodeCounterStateVariables.h"

namespace X3DTK {
namespace X3D {

NodeCounterStateVariables::NodeCounterStateVariables()
: _geometryCount(0), _coordinateCount(0), _groupingCount(0), _otherCount(0)
{
}
 
void NodeCounterStateVariables::init()
{
  _geometryCount = 0;
  _groupingCount = 0;
  _coordinateCount = 0;
  _otherCount = 0;
}

void NodeCounterStateVariables::addX3DGeometryNode()
{
  ++_geometryCount;
}

void NodeCounterStateVariables::addX3DCoordinateNode()
{
  ++_coordinateCount;
}

void NodeCounterStateVariables::addX3DGroupingNode()
{
  ++_groupingCount;
}

void NodeCounterStateVariables::addOtherNode()
{
  ++_otherCount;
}

}
}
