#ifndef INFO_H
#define INFO_H

#include <X3DTK/X3D/scenegraph.h>

namespace X3DTK {
namespace X3D {

// Info node.

class Info : public X3DChildNode
{
public:
  Info();
  virtual ~Info();
  
  void setDescription(const SFString &description);
  inline const SFString &getDescription() const {return _description;};
 
private:
  SFString _description;
};

}
}


#endif
