#include "X3D_InfoShape.h"
#include "X3D_Info.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

InfoShape::InfoShape()
: Shape()
{
  // Defines the tag of the node. This string is the one read in the X3D file.
  // We give the name "Shape" to erase the older definition.
  define(Recorder<InfoShape>::getTypeName("Shape", "MyComponent"));
  
  // Defines a child node.
  define(Recorder<InfoShape, Info>::getSFNode("info", &InfoShape::_info));
}

InfoShape::~InfoShape()
{
  removeChildren();
}

}
}
