#include "X3D_SimpleNodeCounterCoreVisitor.h"
#include "X3D_SimpleNodeCounterStateVariables.h"

namespace X3DTK {
namespace X3D {

SimpleNodeCounterCoreVisitor::SimpleNodeCounterCoreVisitor()
: CoreVisitor()
{
  define(Recorder<X3DNode>::getEnterFunction(&SimpleNodeCounterCoreVisitor::enterX3DNode));
}
  
void SimpleNodeCounterCoreVisitor::enterX3DNode(X3DNode *N)
{
  Singleton<SimpleNodeCounterStateVariables>::getInstance()->addNode();
}

}
}
